cxf-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Kulp <dk...@apache.org>
Subject Re: CXF 2.2 on Jboss 4.2.2GA
Date Tue, 12 May 2009 21:06:47 GMT

You MAY be able to use Spring 2.0.8 with CXF as well.   The 2.1.x line of CXF 
still uses Spring 2.0.8 and I don't think we "removed" anything on the 2.2.x 
line that would prevent it from working with 2.0.8.   Thus, it might work.   
Give it a try and see.  :-)

Dan



On Mon May 11 2009 2:47:39 pm Bruno Ledesma wrote:
> Hello Everyone!
>
> Im currently developing WebService clients with CXF and the maven cxf
> codegen plugin. But im having some problems to deploy my war into Jboss
> 4.2.2GA.
>
> The exception is:
>
> java.lang.IllegalArgumentException: Class
> [org.springframework.aop.config.AopNamespaceHandler] does not
> implement the NamespaceHandler interface
>      at
> org.springframework.beans.factory.xml.DefaultNamespaceHandlerResolver.initH
>andlerMappings(DefaultNamespaceHandlerResolver.java:119) at
> org.springframework.beans.factory.xml.DefaultNamespaceHandlerResolver.<init
>>(DefaultNamespaceHandlerResolver.java:96) at
> org.springframework.beans.factory.xml.DefaultNamespaceHandlerResolver.<init
>>(DefaultNamespaceHandlerResolver.java:71)
>
> Looking for some explanations on google, i found that this kind of
> exception is a classpath issue. The JbossWebDeployer uses a older Spring
> than the CXF (jboss=> spring 2.0.8 - cxf 2.2 =>spring 2.5.5).
> Does anyone know a way to solve this problem? Does anyone uses Jboss 4 as
> contatiner for a CXF WS Client?
>
> Thanks!
>
> Bruno Ledesma

-- 
Daniel Kulp
dkulp@apache.org
http://www.dankulp.com/blog

Mime
View raw message